## caido 0.44.1+2

=== Makefile ===
#!/usr/bin/make -f

ARCH := $(shell uname -m)
ifeq ($(ARCH), aarch64)
	SOURCE="caido-desktop-arm64-linux"
else
	SOURCE="caido-desktop-x64-linux"
endif

build:
	cp -r $(SOURCE) caido

=== debian/changelog ===
caido (0.44.1+2) lory-updates; urgency=medium

  * Override dh_dwz.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 05 Dec 2024 19:08:02 +0100

caido (0.44.1+1) lory-updates; urgency=medium

  * Fix syntax error in makefile.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 05 Dec 2024 19:03:24 +0100

caido (0.44.1) lory; urgency=medium

  * Initial release.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 05 Dec 2024 18:17:38 +0100

=== debian/control ===
Source: caido
Section: unknown
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://caido.io

Package: caido
Architecture: arm64 amd64
Depends: libgtk-3-0, libnotify4, libnss3, libxss1, libxtst6, xdg-utils, libatspi2.0-0, libuuid1, libsecret-1-0, parrot-menu
Description: A lightweight web security auditing toolkit
 Caido aims to help security professionals and enthusiasts audit web applications with efficiency and ease.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_dwz:

override_dh_shlibdeps:


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## caido 0.44.1+6

=== debian/changelog ===
caido (0.44.1+6) lory-updates; urgency=medium

  * Bundle caido in compressed format to prevent early .so strip.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 12 Dec 2024 11:00:37 +0100

caido (0.44.1+5) lory-updates; urgency=medium

  * Override dh_makeshlibs.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 11 Dec 2024 11:44:14 +0100

caido (0.44.1+4) lory-updates; urgency=medium

  * Add missing libraries.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 10 Dec 2024 13:40:05 +0100

caido (0.44.1+3) lory-updates; urgency=medium

  * Add ffmpeg dependency.
  * Override dh_strip to avoid arm64 build failure.
  * Move to non-free.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 09 Dec 2024 11:38:49 +0000

## caido 0.48.1+1

=== Makefile ===
--- 
+++ 
@@ -8,4 +8,5 @@
 endif
 
 build:
-	cp -r $(SOURCE) caido
+	tar xf $(SOURCE).tar.gz
+	mv $(SOURCE) caido

=== debian/changelog ===
caido (0.48.1+1) lory-updates; urgency=medium

  * Import version 0.48.1.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 27 May 2025 12:13:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: caido
-Section: unknown
+Section: non-free/unknown
 Priority: optional
 Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Rules-Requires-Root: no

## caido 0.49.0

=== debian/changelog ===
caido (0.49.0-0kali1) kali-experimental; urgency=medium

  * New upstream version 0.49.0

 -- Sophie Brun <sophie@kali.org>  Tue, 15 Jul 2025 17:28:47 +0200

caido (0.48.1-0kali4) kali-experimental; urgency=medium

  * Disable caido update

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 23 May 2025 10:11:48 +0200

caido (0.48.1-0kali3) kali-experimental; urgency=medium

  * Small fix for helper-script

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 May 2025 10:36:47 +0200

caido (0.48.1-0kali2) kali-experimental; urgency=medium

  * Override dh_strip

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 May 2025 16:17:14 +0200

caido (0.48.1-0kali1) kali-experimental; urgency=medium

  * New upstream version 0.48.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 May 2025 14:27:13 +0200

caido (0.47.1-0kali1) kali-experimental; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 May 2025 14:18:51 +0200

=== debian/control ===
Source: caido
Section: non-free/misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/caido/caido
Vcs-Browser: https://gitlab.com/kalilinux/packages/caido
Vcs-Git: https://gitlab.com/kalilinux/packages/caido.git

Package: caido
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: security auditing toolkit (desktop)
 This package contains caido desktop, a security auditing toolkit.

## caido 0.51.1

=== debian/changelog ===
caido (0.51.1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * limit arch to amd64 and arm64
  * Update my email
  * New upstream version 0.51.1

  [ Steev Klimaszewski ]
  * Disable CI on 32-bit architectures

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

 -- Sophie Brun <sophie@kali.org>  Mon, 15 Sep 2025 11:29:19 +0200

## caido 0.52.0

=== debian/changelog ===
caido (0.52.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.52.0

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 17:20:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: non-free/misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
 Standards-Version: 4.7.2
@@ -12,7 +11,7 @@
 Vcs-Git: https://gitlab.com/kalilinux/packages/caido.git
 
 Package: caido
-Architecture: any
+Architecture: amd64 arm64
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/caido/caido/tags .*/v?(\d[\d\.]*)\.tar\.gz debian debian/script-targz

## caido 0.53.0

=== debian/changelog ===
caido (0.53.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.53.0

 -- Sophie Brun <sophie@kali.org>  Fri, 07 Nov 2025 13:57:08 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

execute_after_dh_install:
ifeq ($(DEB_HOST_ARCH),arm64)
	cp -r caido-desktop-aarch64/* debian/caido/usr/lib/caido
else ifeq ($(DEB_HOST_ARCH),amd64)
	cp -r caido-desktop-x86_64/* debian/caido/usr/lib/caido
endif

override_dh_dwz:

override_dh_shlibdeps:

override_dh_strip:

## caido 0.53.1+1

=== Makefile ===
#!/usr/bin/make -f

ARCH := $(shell uname -m)
ifeq ($(ARCH), aarch64)
	SOURCE="caido-desktop-arm64-linux"
	SOURCE_CLI="caido-cli-arm64-linux"
else
	SOURCE="caido-desktop-x64-linux"
	SOURCE_CLI="caido-cli-x64-linux"
endif

build:
	tar xf $(SOURCE).tar.gz
	tar xf $(SOURCE_CLI).tar.gz
	mv $(SOURCE) caido
	mv caido-cli bin/caido-cli

=== debian/changelog ===
caido (0.53.1+1) echo; urgency=medium

  * Import version 0.53.1.
  * Include cli version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 19:01:58 +0100

=== debian/control ===
Source: caido
Section: non-free/unknown
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://caido.io

Package: caido
Architecture: arm64 amd64
Depends: libgtk-3-0, libnotify4, libnss3, libxss1, libxtst6, xdg-utils, libatspi2.0-0, libuuid1, libsecret-1-0, parrot-menu
Description: A lightweight web security auditing toolkit
 Caido aims to help security professionals and enthusiasts audit web applications with efficiency and ease.
 .
 THis package provides the GUI version of the tool.

Package: caido-cli
Architecture: arm64 amd64
Depends: libnss3, libxss1, libxtst6, xdg-utils, libatspi2.0-0, libuuid1, libsecret-1-0, parrot-menu
Description: A lightweight web security auditing toolkit - CLI version
 Caido aims to help security professionals and enthusiasts audit web applications with efficiency and ease.
 .
 This package provides the CLI version of the tool.

## caido 0.54.1

=== debian/changelog ===
caido (0.54.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.54.1

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 11:57:15 +0100

caido (0.53.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.53.1

 -- Sophie Brun <sophie@kali.org>  Thu, 20 Nov 2025 16:16:33 +0100

## caido 0.55.1

=== debian/changelog ===
caido (0.55.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.55.1

 -- Sophie Brun <sophie@kali.org>  Mon, 26 Jan 2026 15:24:03 +0100

## caido 0.55.2+parrot2

=== debian/changelog ===
caido (0.55.2+parrot2) echo; urgency=medium

  * Update binary names

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 04 Feb 2026 13:43:25 +0100

caido (0.55.2+parrot1) echo; urgency=medium

  * Import version 0.55.2

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 04 Feb 2026 13:08:55 +0100

## caido 0.55.3

=== debian/changelog ===
caido (0.55.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.55.3

 -- Sophie Brun <sophie@kali.org>  Mon, 09 Feb 2026 16:12:10 +0100
